from setuptools import setup, find_packages

# Read the README file for the long description
with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="pentest-ai",
    version="0.1.2",
    author="AKM Korishee Apurbo",
    author_email="bandinvisible8@gmail.com",
    description="An AI-powered pentesting tool",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/IMApurbo/pentest-ai", 
    packages=find_packages(),
    install_requires=[
        "groq>=0.4.0",
        "colorama>=0.4.6",
        "pyfiglet>=0.8.post1",
        "rich>=13.7.1",
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.7",
    entry_points={
        "console_scripts": [
            "pentest-ai = pentest_ai.core:main",
        ],
    },
    license="MIT",  # Explicitly set the license instead of `license-file`
    include_package_data=True,  # Ensure additional files like LICENSE are included
)
